Name:		pino
Version:	0.2.11
Release:	%mkrel 1
Summary:	A fast, easy and free Twitter and Identi.ca client

Group:		Networking/Other
License:	LGPLv3+
URL:		http://code.google.com/p/pino-twitter/ 
Source0:	http://pino-twitter.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         pino-construct-only-properties.patch
Patch1:         pino-get_style_property-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	cmake vala intltool gettext desktop-file-utils
BuildRequires:	libgee-devel libnotify-devel libsoup-devel libxml2-devel
BuildRequires:	webkitgtk-devel unique-devel gtkspell-devel

%description
Pino is a simple and fast microblogging client for Linux desktop. It
supports Twitter and Identi.ca.

%prep
%setup -q -n %{name}-0.2.10
%patch0 -p1
%patch1 -p1


%build
CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DUBUNTU_ICONS=OFF -DENABLE_DEBUG=OFF . 
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} 

# Remove docs from /usr/share/doc/pino
rm -rf %{buildroot}%{_datadir}/doc/pino

# Remove indicator file before we package the whole indicator stack from ubuntu
rm -rf %{buildroot}%{_datadir}/indicators

# Locale files
%find_lang %{name}

# Desktop file validate
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/%{name} 



%changelog
* Sun Feb 27 2011 philippem <philippem> 0.2.11-1.mga1
+ Revision: 61140
- imported package pino


* Sat Feb 26 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.2.11-1mga1
- initial import
- Update to new version 0.2.11

* Sat May 29 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.10-1mdv2010.1
+ Revision: 546581
- Update to new version 0.2.10

* Sun Apr 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.6-1mdv2010.1
+ Revision: 536441
- First Mandriva package based on Fedora's
- create pino

